Summary:       GEOS is a C++ port of the Java Topology Suite
Name:          geos
Version:       3.11.2
Release:       3%{?dist}
License:       LGPLv2
URL:           http://trac.osgeo.org/geos/
Source0:       http://download.osgeo.org/%{name}/%{name}-%{version}.tar.bz2

Patch3000:     geos_gcc13.patch

BuildRequires: cmake doxygen gcc-c++


%description
GEOS is a C/C++ library for computational geometry with a focus on algorithms
used in geographic information systems (GIS) software. It implements the OGC
Simple Features geometry model and provides all the spatial functions in that
standard as well as many others. GEOS is a core dependency of PostGIS, QGIS,
GDAL, Shapely and many others.


%package devel
Summary:       Development files for GEOS
Requires:      %{name} = %{version}-%{release}

%description devel
This package contains the development files to build applications that
use GEOS.

%prep
%autosetup -p1


%build
%cmake -DDISABLE_GEOS_INLINE=ON -DBUILD_DOCUMENTATION=ON
%cmake_build


%install
%cmake_install
make docs -C %{__cmake_builddir}

rm -f %{buildroot}%{mingw32_bindir}/geos-config
rm -f %{buildroot}%{mingw64_bindir}/geos-config


%check
%ctest


%files
%license COPYING
%doc AUTHORS NEWS.md README.md
%{_bindir}/geosop
%{_libdir}/libgeos.so.3.11.2
%{_libdir}/libgeos_c.so.1*

%files devel
%doc %{__cmake_builddir}/doxygen/doxygen_docs
%{_bindir}/geos-config
%{_includedir}/geos/
%{_includedir}/geos_c.h
%{_includedir}/geos.h
%{_libdir}/libgeos_c.so
%{_libdir}/libgeos.so
%{_libdir}/cmake/GEOS/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 cunshunxia <cunshunxia@tencent.com> - 3.11.2-1
- initial build
